<?php
$js_page = <<<EOTEMPLATE


if(navigator.appName != "Microsoft Internet Explorer") { // weil netscape keine rahmen kann...
document.write('<style type="text/css">a.aThumbs, a.aThumbsSinglePage, a.aMainPic, a.aThumbs:visited, a.aThumbsSinglePage:visited, a.aMainPic:visited, a.aThumbs:hover, a.aThumbsSinglePage:hover, a.aMainPic:hover {  BACKGROUND-COLOR: #$color_stripe2; BORDER-BOTTOM: #$color_stripe2 1px solid; BORDER-LEFT: #$color_stripe2 1px solid; BORDER-RIGHT: #$color_stripe2 1px solid; BORDER-TOP: #$color_stripe2 1px solid; }</style>');
}

// url with x: opens in new window
// url with y: opens in top frame (a change since version 3.0+)
// url standard: opens in same frame

function jumping(url) {
 if(url == "nothing") { document.forms[0].reset(); document.forms[0].elements[0].blur(); return; }
 if(url == "bookmark") { bookmark_this_page(); return; }
 if(url == "email") { location.href = 'mailto:?subject=$text_5&amp;body=' + window.location.href;  return; }
 if(url == "greatpic") { Bild_gross_in_neuem_Fenster(); return; }
 if(url == "fototransfer") { fototransfer(); return; }
 if(url == "opedo") { opedo(); return; }
 var l = url.length ;
 var xyz = url.slice(0,5);
 var begin = url.slice(0,l);
 if (xyz == "xhttp") {var url2 = url.replace("xhttp","http"); window.open(url2,"_blank");  return; }
 if (xyz == "yhttp") {var url2 = url.replace("yhttp","http"); top.location.href = url2 ;  return; }
 if (xyz == "xwyp/") {var url2 = url.replace("xwyp/","wyp/"); window.open(url2,"_blank");  return; }  // not realy needed..
 if (url == "$home") {top.location.href = url ;  return; }
 if ((begin != "$home")&&(xyz == "http:")) { window.open(url,"_blank");  return; }
 if (url.slice(0,4) == "www.") { window.open("http://"+url,"_blank");  return; }
 if (xyz == "zhttp") {var url = url.replace("zhttp","http"); }
 if (parent.$frame_name) { parent.$frame_name.location.href = url ;  return; } else { location.href = url ;  return; }
}

function bookmark_this_page() { 
 if (document.all) {  window.external.AddFavorite(location.href, document.title); }
 else { alert('Netscape users, Please use CTRL + D   /   Bitte benutzen Sie die Tasten Strg + D wenn Sie mit Netscape unterwegs sind !'); }
}

function make_drop_down_menue() {
 document.write('<form name="formpics">') ;
 document.write('<select name="menupics" onChange="jumping(this.form.menupics.options[this.form.menupics.options.selectedIndex].value)"  valign="middle">') ;
 document.write('<option value="$absoluter_pfad_zu_den_bildern">$text_1</option>') ;
 document.write('$drop_down_gallery_links ') ;
 document.write('</select></form>') ;
}

function Bild_ganz_gross_in_neuem_Fenster(bild,w,h,coloritis) {
	var wF = w - (-0); // Die Klammern bitte drin lassen, damit js das ganze als zahl statt text interpretiert !!!
	var hF = h - (-12);
if ("$window_multi" == "no") {var code = ' onblur="window.close();"' ;} else { var code = "";}
if ((screen.width < wF)||(screen.height < hF)) { window.open(bild, "_blank", "status=no,toolbar=no,menubar=no,resizable=yes,scrollbars=yes");}
else { 
BildOrginal = window.open("about:blank","_blank","width="+wF+",height="+hF+",left=0,top=0");
BildOrginal.document.open();
BildOrginal.document.write('<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"><html><head><title>'+bild+'</title></head></HEAD><body marginwidth="0" marginheight="0" topmargin="0" leftmargin="0" bgcolor="#'+coloritis+'"'+code+'><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0"><tr><td align="center" valign="top"><img src="'+bild+'"><br><font size="1" face="Verdana, Arial"><a href="javascript:window.close()" title="Bitte hier klicken, um dieses Fenster zu schließen">Fenster schlie&szlig;en</a></font></td></tr></table></body></html>');
BildOrginal.document.close();
BildOrginal.focus();}
}

// hier beginnt die bildpartner.de Galerie-Schnittstelle		2002-11-27
// Provisionierung ueber affili.net - Ihre Affilinet ID bitte in der Config.php eintragen
// ACHTUNG: diese Schnittstelle darf nur in unveraenderter Form eingesetzt werden. Mehr Informationen dazu entnehmen Sie der Dokumentation und der Nutzungslizenz fuer den Einsatz der bildpartner.de Galerie-Schnittstelle.
// Mit der Nutzung der bildpartner Galerie-Schnittstelle erkennen Sie die Geltung der Nuzuungslizenz Nutzungslizenz der bildpartner.de Galerie-Schnittstelle und der AGBs der adconsys AG an.
// Kontakt: partner@bildpartner.de
// www.bildpartner.de
// (c) 2002 adconsys AG, www.adconsys.de

function picturetransfer(url, ref, format) {
	if (!format) format = '';
	fotowin=window.open('http://partners.webmasterplan.com/click.asp?ref='+ref+'&b=0&type=text&tnb=5&site=2587&diurl=http://www.bildpartner.de/upload/picup_af.php/'+format+'/'+url+'','fotowin','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=yes,copyhistory=no,width=300,height=250');
	fotowin.focus();
}

function preise(mode) {
	// Aufruf der Preisliste
	// mode = "" (leer) => gesamte Preisliste
	// mode = fotos => Preisliste fuer Fotos und Poster
	// mode = geschenke => Preisliste fuer Geschenke
	
	preiswin=window.open('http://www.bildpartner.de/preise_ext.php?mode='+mode+'','preiswin','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=no,copyhistory=no,width=560,height=450');
	preiswin.focus();
}

function changeImage( imgName, imgFile ) {
    if( document.images ) document.images[imgName].src = imgFile ;
}


EOTEMPLATE;
?>